This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 981952 - [abrt] evolution-3.8.3-2.fc19: g_wakeup_new: Process /usr/bin/evolution was killed by signal 5 (SIGTRAP) [NEEDINFO]
[abrt] evolution-3.8.3-2.fc19: g_wakeup_new: Process /usr/bin/evolution was k...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Milan Crha
Fedora Extras Quality Assurance
abrt_hash:00563713cb8f7c7c75415aefd65...
:
: 1076843 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-07 05:13 EDT by Rubén Donate Serrano
Modified: 2015-02-17 10:55 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:55:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mcrha: needinfo? (ruben.donate)


Attachments (Terms of Use)
File: backtrace (248.94 KB, text/plain)
2013-07-07 05:14 EDT, Rubén Donate Serrano
no flags Details
File: cgroup (140 bytes, text/plain)
2013-07-07 05:14 EDT, Rubén Donate Serrano
no flags Details
File: core_backtrace (1.04 KB, text/plain)
2013-07-07 05:14 EDT, Rubén Donate Serrano
no flags Details
File: dso_list (28.12 KB, text/plain)
2013-07-07 05:14 EDT, Rubén Donate Serrano
no flags Details
File: environ (1.53 KB, text/plain)
2013-07-07 05:14 EDT, Rubén Donate Serrano
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-07 05:14 EDT, Rubén Donate Serrano
no flags Details
File: maps (89.44 KB, text/plain)
2013-07-07 05:14 EDT, Rubén Donate Serrano
no flags Details
File: open_fds (86.74 KB, text/plain)
2013-07-07 05:14 EDT, Rubén Donate Serrano
no flags Details
File: proc_pid_status (799 bytes, text/plain)
2013-07-07 05:14 EDT, Rubén Donate Serrano
no flags Details
File: var_log_messages (1.22 KB, text/plain)
2013-07-07 05:14 EDT, Rubén Donate Serrano
no flags Details

  None (edit)
Description Rubén Donate Serrano 2013-07-07 05:13:50 EDT
Version-Release number of selected component:
evolution-3.8.3-2.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        evolution
crash_function: g_wakeup_new
executable:     /usr/bin/evolution
kernel:         3.9.9-301.fc19.i686.PAE
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (7 frames)
 #2 g_wakeup_new at gwakeup.c:163
 #3 g_main_context_new at gmain.c:610
 #4 handle_http_request at e-http-request.c:337
 #5 run_in_thread at gsimpleasyncresult.c:871
 #6 io_job_thread at gioscheduler.c:89
 #7 g_task_thread_pool_thread at gtask.c:1242
 #9 g_thread_proxy at gthread.c:798

Potential duplicate: bug 892622
Comment 1 Rubén Donate Serrano 2013-07-07 05:14:02 EDT
Created attachment 769899 [details]
File: backtrace
Comment 2 Rubén Donate Serrano 2013-07-07 05:14:06 EDT
Created attachment 769900 [details]
File: cgroup
Comment 3 Rubén Donate Serrano 2013-07-07 05:14:10 EDT
Created attachment 769901 [details]
File: core_backtrace
Comment 4 Rubén Donate Serrano 2013-07-07 05:14:15 EDT
Created attachment 769902 [details]
File: dso_list
Comment 5 Rubén Donate Serrano 2013-07-07 05:14:19 EDT
Created attachment 769903 [details]
File: environ
Comment 6 Rubén Donate Serrano 2013-07-07 05:14:23 EDT
Created attachment 769904 [details]
File: limits
Comment 7 Rubén Donate Serrano 2013-07-07 05:14:29 EDT
Created attachment 769905 [details]
File: maps
Comment 8 Rubén Donate Serrano 2013-07-07 05:14:35 EDT
Created attachment 769906 [details]
File: open_fds
Comment 9 Rubén Donate Serrano 2013-07-07 05:14:39 EDT
Created attachment 769907 [details]
File: proc_pid_status
Comment 10 Rubén Donate Serrano 2013-07-07 05:14:43 EDT
Created attachment 769908 [details]
File: var_log_messages
Comment 11 Milan Crha 2013-07-08 06:50:52 EDT
Thanks for a bug report. I see that evolution got out of file descriptors (it had opened 1024 of them, which is a usual limit), which seems like a forgotten memory free call on some place.

By a chance, are you able to reproduce this with certain messages?

I guess from the backtrace, that this happened with some messages in your On This Computer/Inbox, which have included (many) remote images in them, which is evolution (through WebKit) trying to download. The messages for a reproducer would be helpful, unless they contain any private information in them, which might be replaced first.
Comment 12 roger griffiths 2013-11-06 17:16:51 EST
The program had been open for about an hour, I simply clicked into the inbox of one of my other email accounts.

reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        evolution
crash_function: g_wakeup_new
executable:     /usr/bin/evolution
kernel:         3.11.6-200.fc19.x86_64
package:        evolution-3.8.5-2.fc19
reason:         Process /usr/bin/evolution was killed by signal 5 (SIGTRAP)
runlevel:       N 5
type:           CCpp
uid:            25561
Comment 13 Milan Crha 2014-03-17 04:30:27 EDT
*** Bug 1076843 has been marked as a duplicate of this bug. ***
Comment 14 Fedora Admin XMLRPC Client 2014-09-04 10:29:02 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 15 Fedora End Of Life 2015-01-09 13:43:53 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2015-02-17 10:55:33 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.